%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Function OLSMLE
% Performs OLS using MLE
% 
%                                         by Csar Zamudio, 11/16/2010
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function f= obj(beta,Y,X,N)
%Determine maximum of 1/2Y and x.
xb=X*beta;
MAX=zeros(N,1);
for i=1:1:size(Y,1)
    a=.5*Y(i,1);
    b=xb(i,1);
    MAX(i,1)=max(a,b);    
end

lik=sum((Y-MAX).^2);

f=lik;

